import request from '@/utils/request'

// 查询游戏选项列表
export function listGame_item(query) {
  return request({
    url: '/business/game_item/list',
    method: 'get',
    params: query
  })
}
// 查询游戏列表
export function allGameList() {
  return request({
    url: '/business/game/allList',
    method: 'get'
  })
}

// 查询游戏选项详细
export function getGame_item(id) {
  return request({
    url: '/business/game_item/' + id,
    method: 'get'
  })
}

// 新增游戏选项
export function addGame_item(data) {
  return request({
    url: '/business/game_item',
    method: 'post',
    data: data
  })
}

// 修改游戏选项
export function updateGame_item(data) {
  return request({
    url: '/business/game_item',
    method: 'put',
    data: data
  })
}

// 删除游戏选项
export function delGame_item(id) {
  return request({
    url: '/business/game_item/' + id,
    method: 'delete'
  })
}
